#welcome-sect {
    margin-top: clamp(0px, 12vw, 3rem);
    margin-bottom: clamp(0px, 10vw, 5em);
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

#welcome-text {
    font-size: clamp(0px, 5vw, 65px);
    width: clamp(0px, 70%, 920px);
    margin-top: clamp(0px, 7vw, 120px);
    margin-bottom: clamp(0px, 2vw, 30px);
}

#logo {
    position: absolute;
    left: 50%;
    top: clamp(0px, 20vw, 8rem);
    transform: translate(-50%, 10%);

    width: clamp(0px, 80%, 1300px);
    aspect-ratio: auto 16 / 16;
    z-index: -1;
}

#logo.show {
    transform: translate(-50%, 0);
    opacity: 0.3;
}

.hidden {
    transform: translate(0, 3%);
}

.hidden.show {
    transform: translate(0, 0);
}

.large-buttons, .large-buttons:hover, .large-buttons:visited, .large-buttons:visited:hover {
    display: flex;
    align-items: center;
    justify-content: center;

    padding: min(1vw, 16px) 0;
    border: solid white min(0.8vw, 0.4rem);
    border-radius: 2vw;

    color: var(--txtcolor);
    background-color: black;
    text-decoration: none;
}

.large-buttons:hover, .large-buttons:visited:hover {
    background-color: var(--bgcolor-hover)
}

#button-download, #button-download:visited, #button-download:hover, #button-download:visited:hover {
    margin-top: clamp(0px, 5vw, 1em);
    width: clamp(0px, 50vw, 10em);
    font-size: clamp(0px, 4vw, 2.2em);
    font-family: 'FiraSans';
    font-weight: bold;
}

#button-download.show {
    transform: translateY(-20%);
    transition-delay: 100ms;
}

#sect-gh-support {
    display: flex;
    justify-content: center;
    gap: clamp(0px, 1vw, 16px);
}

#button-github, #button-discord {
    margin-top: clamp(0px, 1vw, 1em);
    width: clamp(0px, 20vw, 8em);
    font-size: clamp(0px, 3vw, 1.6em);
}

#button-github.show, #button-discord.show {
    transform: translateY(-20%);
    transition-delay: 150ms;
}

#button-github-logo, #button-discord-logo {
    fill: white;
    width: clamp(0px, 3.5vw, 1.4em);
    margin-right: 1vw;
}

.bubble {
    margin-top: min(10vw, 3rem);
}

.feature {
    display: flex;
    align-items: flex-start;
    justify-content: center;
    gap: 6%;
    margin-top: min(6vw, 5rem);
}

.feature img {
   margin: -5%;
}

.feature > img, .imgbox {
    flex: 2 2;
    width: 50%;
    max-width: 25rem;
}

.feature > .imgbox {
    position: relative;
    height: fit-content;
}

.feature .imgbox-left {
    margin-left: 3%;
}

.feature .imgbox-right {
    margin-right: 3%; 
}

.feature > div {
    flex;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    text-align: left;
    max-width: 25rem;
}

.feature h1 {
    margin: 0;
}

.feature p {
    margin-bottom: 1rem;
    line-height: 1.6;
}

.feature #customopts {
    position: absolute;
    bottom: -10%; 
    right: 0;
    width: auto;
    height: 55%;
}

.feature #prop-buttons {
    position: absolute;
    bottom: -10%;
    right: 0%;
    width: auto;
    height: 75%;
}

.feature #versions-props {
    position: absolute;
    bottom: -5%;
    left: -5%;
    width: auto;
    height: 50%;
}

.feature #style-error {
    position: absolute;
    bottom: -10%;
    left: 18%;
    width: auto;
    height: 85%;
}

